using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkRelationRefundPageResult
{

    /*
        pageNo
    */
    private string? pageNo;


    /*
        pageSize
    */
    private string? pageSize;


    /*
        总值
    */
    private string? totalCount;


    /*
        订单列表
    */
    private IList<TaobaoTbkRelationRefundResult>? results;



    [JsonPropertyName("page_no")]
    public string? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("page_size")]
    public string? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("total_count")]
    public string? TotalCount
    {
        get => totalCount;
        set => this.totalCount = value;
    }

    [JsonPropertyName("results")]
    public IList<TaobaoTbkRelationRefundResult>? Results
    {
        get => results;
        set => this.results = value;
    }

}

